#include <bits/stdc++.h>
using namespace std;

bool cmp(pair<int, double> x, pair<int, double> y) {
	return (x.second<=y.second);
}
int main() {
	int N;
	double rez;
	long long x=0;
	cin>>N;
	double y[N];
	pair<int, double> A[N];
	for(int i=0; i<N; i++) cin>>A[i].first>>A[i].second;
	for(int i=0; i<N; i++) x+=A[i].first;
	sort(A, A+N, cmp);
	for(int i=0; i<N; i++) A[i].second/=100;
	for(int i=0; i<N; i++) {
		y[i]=A[i].second*x;
		x-=A[i].first;
	}
	rez=y[0];
	for(int i=1; i<N; i++) {
		rez=(rez>=y[i]?rez:y[i]);
	}
	cout<<fixed<<rez;
	return 0;
}